## org.exist.client
Class ResourceDescriptor.Collection

    java.lang.Object
      org.exist.client.ResourceDescriptor
          org.exist.client.ResourceDescriptor.Collection

Enclosing class:
  ResourceDescriptor

public static class ResourceDescriptor.Collection
extends ResourceDescriptor

Nested Class Summary

Nested classes inherited from class org.exist.client.ResourceDescriptor
`ResourceDescriptor.Collection, ResourceDescriptor.Document`

Constructor Summary
`ResourceDescriptor.Collection(XmldbURI aName)`
`ResourceDescriptor.Collection(XmldbURI aName, java.lang.String aOwner, java.lang.String aGroup, java.lang.String aPermissions, java.util.Date date)`

Method Summary
`boolean` `isCollection()`

Methods inherited from class org.exist.client.ResourceDescriptor
`getDate, getGroup, getName, getOwner, getPermissions`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceDescriptor.Collection

    public ResourceDescriptor.Collection(XmldbURI aName)

### ResourceDescriptor.Collection

    public ResourceDescriptor.Collection(XmldbURI aName,
                                         java.lang.String aOwner,
                                         java.lang.String aGroup,
                                         java.lang.String aPermissions,
                                         java.util.Date date)

Method Detail

### isCollection

    public boolean isCollection()

  Specified by:
    `isCollection` in class `ResourceDescriptor`

Copyright (C) Wolfgang Meier. All rights reserved.